Retrieve an usage record
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/usage_records/{usage_record} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/usage_records/{usage_record}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/usage_records/{usage_record}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "usage_record",
"data": {
"company": {
"id": "<id>",
"object": "company",
"links": {
"self": "/companies/<id>"
}
},
"event": "employee_paid",
"record": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/fake-id"
}
},
"recorded_at": "2026-01-01 00:00:00",
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/usage_records/<id>"
}
}Usage Records
Retrieve an usage record
GET
/
usage_records
/
{usage_record}
Retrieve an usage record
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("usage_record").
Hide child attributes
Hide child attributes
Available options:
business_launched, contractor_paid, contractor_paid_unique, employee_paid, employee_paid_unique, funding_failure, kyb_attempt, payroll_expedited The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.
⌘I

